Subject: Re: bug#73431: Add `setf` support for `stream.el` in ELPA

From: Michael Heerdegen <[email-masked]>
Date: Tue, 29 Oct 2024 14:31:34 +0100

Eli Zaretskii <[email-masked]> writes:

> The rule that the first line should be a complete sentence (actually,
> a summary) is for the benefit of the apropos commands, which show only
> the first line of each doc string.  So the answer to your question
> depends on whether these methods can wind up in output of apropos
> commands, and what happens if and when they do.

Thanks.

At the first glance this doesn't seem the case.  We do have this FIXME
in "apropos.el" though:

;; FIXME: Print information about each individual method: both
;; its docstring and specializers (bug#21422).

So I guess we want to follow the rule here.  But then - how to provide
the nice example here, without repeating the first sentence of the
generic.  Any idea?

Thanks,

Michael.